function onUse(cid, item, fromPosition, itemEx, toPosition)

a = 90029
id = 13199
level = 800

if getPlayerLevel(cid) < level then
doTeleportThing(cid, fromPosition, true)
doSendMagicEffect(getThingPos(cid), CONST_ME_MAGIC_RED)
doPlayerSendCancel(cid,"Somente level " .. level .. " pode fazer a quest.")
end
if getPlayerStorageValue(cid, a) < 1 then
doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "Voce Achou uma Boost Stone!!!!!")
doPlayerAddItem(cid, id, 1)
doPlayerSetStorageValue(cid, a, 1)
else
doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "Esta vazio.")
end
if getPlayerLevel(cid) < level then
doTeleportThing(cid, fromPosition, true)
doSendMagicEffect(getThingPos(cid), CONST_ME_MAGIC_RED)
doPlayerSendCancel(cid,"Somente level " .. level .. "+ pode fazer a quest.")
end
return TRUE
end